Skip to main content

Create Member

Members (buyers/recipients) for payments. (node_id, external_id) must be unique per node.

Authentication: Bearer token required.

Endpoint: POST /api/v1/members


Request Body

FieldTypeRequiredValidationDescription
node_idstringYesUUIDNode UUID
external_idstringYes1–255 charsExternal identifier (unique per node)
namestringYes1–255 charsMember name
surnamestringNomax 255Surname
emailstringNomax 255, emailEmail
phonestringNomax 50Phone
identity_numberstringNomax 50Identity number
tax_officestringNomax 255Tax office
tax_numberstringNomax 50Tax number
addressstringNoAddress
districtstringNomax 255District
citystringNomax 255City
countrystringNomax 10Country
contact_namestringNomax 255Contact name
localestringNomax 10Locale

Response — 201 Created

Returns full member object including id, created_at.

StatusDescription
404Node not found
409Member with node_id+external_id already exists